/**
 * Account data export
 * 
 * @author Pierre Hubert
 */

import { User } from "./User";
import { Post } from "./Post";
import { Comment } from "./Comment";
import { UserLike } from "./UserLike";
import { SurveyResponse } from "./SurveyResponse";

export interface AccountExportBuilder {
	userID: number;
	userInfo: User;
	postsList: Post[];
	comments: Comment[];
	likes: UserLike[];
	surveyResponses: SurveyResponse[];
}

export class AccountExport implements AccountExportBuilder {
	userID: number;
	userInfo: User;
	postsList: Post[];
	comments: Comment[];
	likes: UserLike[];
	surveyResponses: SurveyResponse[];

	public constructor(info: AccountExportBuilder) {
		for (const key in info) {
			if (info.hasOwnProperty(key))
				this[key] = info[key];
		}
	}
}